package com.lonestranger.onescreen;

import it.marteEngine.ME;
import it.marteEngine.ResourceManager;

import java.io.IOException;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;
import org.newdawn.slick.util.Log;

/**
 * Platformer Test
 * 
 * @author Gornova
 */
public class GameBase extends StateBasedGame {

	public static final int GAME_STATE = 0;
	private static boolean ressourcesInited;

	public GameBase() {
		super("Ludum Dare 31 - LoneStranger - You're Blocking The Screen!");
	}

	@Override
	public void initStatesList(GameContainer container) throws SlickException {
		initRessources();
		GameWorld gameState = new GameWorld(GAME_STATE);

		addState(gameState);
		container.setMouseCursor(ResourceManager.getImage("transparent"), 0, 0);
	}


	
	public static void initRessources() throws SlickException {
		if (ressourcesInited)
			return;
		
		String path = "data/onescreen/resources.xml";

		try {
			ResourceManager.loadResources(path);
		} catch (IOException e) {
			Log.error("failed to load ressource file ' " + path + "': "
					+ e.getMessage());
			throw new SlickException("Resource loading failed!");
		}
		

		ressourcesInited = true;
	}

	public static void main(String[] argv) {
		try {
			ME.keyToggleDebug = Input.KEY_F1;
			AppGameContainer container = new AppGameContainer(new GameBase());
			container.setDisplayMode(800, 600, false);
			container.setTargetFrameRate(60);
			container.setShowFPS(true);
			container.start();
		
		} catch (SlickException e) {
			e.printStackTrace();
		}
	}

}