package com.lonestranger.onescreen.entity;

import it.marteEngine.ResourceManager;
import it.marteEngine.entity.Entity;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;

public class Background extends Entity {

	protected int drawWidth = 0;
	protected int drawHeight = 0;
	
	public Background(float x, float y) {
		super(x, y);
		name = "background";
		depth = -100;
		currentImage = ResourceManager.getImage("background");
		
		drawWidth = currentImage.getWidth();
		drawHeight = currentImage.getHeight();
		
		
	}

	public Background(float x, float y, String refImage) throws SlickException {
		super(x, y);
		name = "background";
		depth = -100;
		currentImage = new Image(refImage);

		drawWidth = currentImage.getWidth();
		drawHeight = currentImage.getHeight();

	}

	public Background(float x, float y, Image image) throws SlickException {
		super(x, y);
		name = "background";
		depth = -100;
		currentImage = image;

		drawWidth = currentImage.getWidth();
		drawHeight = currentImage.getHeight();
	}
	
	public void resize(int newWidth, int newHeight)
	{
		drawWidth = newWidth;
		drawHeight = newHeight;
	}

	@Override
	public void render(GameContainer container, Graphics g)
			throws SlickException {
		// TODO Auto-generated method stub
		//		super.render(container, g);
		
		currentImage.draw(x, y, drawWidth, drawHeight);
	}
	
	

}