package it.marteEngine.entity;

import it.marteEngine.ResourceManager;

import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.util.Log;

public class Solid extends Entity {

	public Solid(float x, float y, int width, int height) throws SlickException {
		super(x, y);
		addType(SOLID);
		setHitBox(0, 0, width, height);
		name = "solid";
	}

	public Solid(float x, float y, int width, int height, int depth)
			throws SlickException {
		this(x, y, width, height, depth, "block");
	}

	public Solid(float x, float y, int width, int height, int depth,
			String refImage) throws SlickException {
		this(x, y, width, height);
		this.depth = depth;
		if (refImage != null && !refImage.isEmpty())
		{
			Log.debug("Solid refImage string: " + refImage);
			currentImage = ResourceManager.getImage(refImage);
					//new Image(refImage);
		
		}
		name = "solid";
	}

	public Solid(float x, float y, int width, int height, int depth, Image image)
			throws SlickException {
		super(x, y);
		addType(SOLID);
		Log.debug("Solid image: " + image.getName());		
		setHitBox(0, 0, width, height);
		this.depth = depth;
		currentImage = image;
		name = "solid";
	}

}
